use seckey::SecBytes;

fn main() {
    let mut secpass = SecBytes::with(8, |buf| buf.copy_from_slice(&[8; 8][..]));

    assert_eq!([8u8; 8], *secpass.read());

    let mut wpass = secpass.write();
    wpass[0] = 0;
    assert_eq!([0, 8, 8, 8, 8, 8, 8, 8], *wpass);
}
